Description: grammar-reader-dependency-patch
Forwarded: not-needed
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 acl2 (6.5-1) unstable; urgency=low
 .
   * New upstream release
Author: Camm Maguire <camm@debian.org>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: http://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- acl2-6.5.orig/books/parsers/earley/grammar-reader.lisp
+++ acl2-6.5/books/parsers/earley/grammar-reader.lisp
@@ -673,7 +673,7 @@
 
    (encapsulate
     ()
-    (local (include-book
+    (local
 
 ; Provides us with the following, necessary for read-lexicon-line-strong
 
@@ -681,7 +681,8 @@
 ;;;        n       (not (equal x "")))
 ;;;          (< 0 (length x)))))
 
-            "str/arithmetic" :dir :system))
+     ;; [Jared]: removed newline to un-fool dependency scanner
+     (include-book "str/arithmetic" :dir :system))
 
     (defthm read-lexicon-line-strong
       (implies (and
